#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file contains environment variables used to define the installation
# structure. definitions used.
# ------------------------------------------------------------------------------

# Export base directories.
# The BASEDIR is the PWD of dirs.sh, which is now regardless of callers location.
export BASEDIR=$(cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd)
export SOURCEDIR=${BASEDIR}/sources
export BUILDDIR=${BASEDIR}/build
export INSTALLDIR=${BASEDIR}/install

# Set directory name to the ROCm version as specified by the config.
source ${BASEDIR}/versions.sh

# Export application specific directories.
export FIAT_DIR="fiat"
export ECTRANS_DIR="ectrans"

# Export results folders.
export RESULTS_DIR=${BASEDIR}/results
